$(document).ready(function () {
  //form contact section
  // define the variables
  var errorColor = "#c11717";
  var validColor = "#00ff00";
  var normalColor = "808080";
  var fname = $("input[name ='fname']");
  var email = $("input[name ='email']");
  var textArea = $("#text");

  //****** NAME*******/
  $(fname).focus(function () {
    $(this).val("");
    $(".error").next().hide("slow");
    $(this).css({
      "boarder-color": "#ffa500",
      "box-shadow": "1px 1px 10px #ffa500",
    });
  });
  //******email*******/
  $(email).focus(function () {
    $(this).val("");
    $(this).next().hide("slow");
    $(this).css({
      "boarder-color": "#ffa500",
      "box-shadow": "1px 1px 10px #ffa500",
    });
  });

  //******text area*******/
  $(textArea).focus(function () {
    $(this).val("");
    $(this).next().hide("slow");
    $(this).css({
      "boarder-color": "#ffa500",
      "box-shadow": "1px 1px 10px #ffa500",
    });
  });

  ////////////on blure///////////////////////////

  //******** NAME**********/
  $(fname).blur(function () {
    if ($(this).val().length < 2 && $(this).val().length != 0) {
      $(".error").text(" no less than 2 chars!");
      $(".error").show("slow");
      $(this).css({
        "boarder-color": errorColor,
        "box-shadow": "none",
      });
    } else if ($(this).val().length == 0) {
      $(".error").text("Enter your name!");
      $(".error").show("slow");
      $(this).css({
        "border-color": errorColor,
        "box-shadow": "none",
      });
    } else if (onlyLetters($(fname).val()) == false) {
      $(".error").text(" only characters!");
      $(".error").show("slow");
      $(this).css({
        "border-color": errorColor,
        "box-shadow": "none",
      });
    } else {
      $(".error").hide("slow");
      $(".error").css({
        "border-color": validColor,
        "box-shadow": "none",
      });
    }
  });

  //****email */
  $(email).blur(function () {
    if ($(this).val().length == 0) {
      $(".error1").text("Enter email1!");
      $(".error1").show("slow");
      $(this).css({
        "border-color": errorColor,
        "box-shadow": "none",
      });
    } else if (isEmail($(email).val()) == false) {
      $(".error1").text("invalid email!");
      $(".error1").show("slow");
      $(this).css({
        "border-color": errorColor,
        "box-shadow": "none",
      });
    } else {
      $(".error1").hide("slow");
      $(".error1").css({
        "border-color": validColor,
        "box-shadow": "none",
      });
    }
  });

  //******text area */
  $(textArea).blur(function () {
    if (!$.trim($(textArea).val())) {
      // textarea is empty or contains only white-space

      $(".error2").text("Enter message!");
      $(".error2").show("slow");
      $(this).css({
        "border-color": errorColor,
        "box-shadow": "none",
      });
    } else {
      $(".error2").hide("slow");
      $(".error2").css({
        "border-color": validColor,
        "box-shadow": "none",
      });
    }
  });

  // on submit
  $("form").submit(function () {
    var isValidate = true;

    // name
    if ($(fname).val().length < 2 && $(fname).val().length != 0) {
      $(fname).next().text("not less than 2 chars!");
      $(fname).next().show("slow");
      $(fname).css({
        "boarder-color": errorColor,
        "box-shadow": "none",
      });
      isValidate = false;
    } else if ($(fname).val().length == 0) {
      $(fname).next().text("Enter your name!");
      $(fname).next().show("slow");
      $(fname).css({
        "border-color": errorColor,
        "box-shadow": "none",
      });
      isValidate = false;
    } else if (onlyLetters($(fname).val()) == false) {
      $(fname).next().text("only characters!");
      $(fname).next().show("slow");
      $(fname).css({
        "border-color": errorColor,
        "box-shadow": "none",
      });
      isValidate = false;
    }
    // email
    if ($(email).val().length == 0) {
      $(".error1").text("Enter email1!");
      $(".error1").show("slow");
      $(email).css({
        "border-color": errorColor,
        "box-shadow": "none",
      });
      isValidate = false;
    } else if (isEmail($(email).val()) == false) {
      $(".error1").text("invalid email!");
      $(".error1").show("slow");
      $(email).css({
        "border-color": errorColor,
        "box-shadow": "none",
      });
      isValidate = false;
    }
    //text area
    if (!$.trim($(textArea).val())) {
      // textarea is empty or contains only white-space

      $(".error2").text("Enter message!");
      $(".error2").show("slow");
      $(this).css({
        "border-color": errorColor,
        "box-shadow": "none",
      });
      isValidate = false;
    }

    ///////if there is no error/////
    if (isValidate) {
      alert("Thank you, we will respond very soon.");
    }
  });

  // **********************************************
  //play video IN ABOUTUS section
  var video = $("video")[0];
  $(".btn0").click(function () {
    if (video.paused) {
      video.play();
    } else {
      video.pause();
    }
  });
  var video1 = $("video")[1];
  $(".btn1").click(function () {
    if (video1.paused) {
      video1.play();
    } else {
      video1.pause();
    }
  });
  var video2 = $("video")[2];
  $(".btn2").click(function () {
    if (video2.paused) {
      video2.play();
    } else {
      video2.pause();
    }
  });
  var video3 = $("video")[3];
  $(".btn3").click(function () {
    if (video3.paused) {
      video3.play();
    } else {
      video3.pause();
    }
  });

  //button in welcome page
  $("#b1").click(function () {
    $("#b1").attr("disabled", false);
    var x = $("#menu").html();
    var y = `<div class = "container "  >  
      <nav class="navbar navbar-expand-lg bg-body-tertiary navclass">
      <div class="container-fluid" id="afterbtn" style="width: 50%;

      
      ">
        
        <button
          class="navbar-toggler"
          type="button"
          data-bs-toggle="collapse"
          data-bs-target="#navbarSupportedContent"
          aria-controls="navbarSupportedContent"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a
                class="nav-link active fw-bold"
                aria-current="page"
                href="index.html"
                >Home</a
              >
            </li>
            <li class="nav-item">
              <a class="nav-link fw-bold" href="service.html"> Services </a>
            </li>
            <li class="nav-item">
              <a class="nav-link fw-bold" href="projects.html">Projects</a>
            </li>
            <li class="nav-item">
              <a class="nav-link fw-bold" href="painting.html">Painting</a>
            </li>
            <li class="nav-item">
              <a class="nav-link fw-bold" href="products.html">Products</a>
            </li>
            <li class="nav-item">
              <a class="nav-link fw-bold" href="aboutUs.html">About us</a>
            </li>
            <li class="nav-item">
              <a class="nav-link fw-bold" href="contact.html">Contact us</a>
            </li>
          </ul>
          
        </div>
      </div>
    </nav>
      </div>`;

    $("#menu").html(x + y);
    $("#b1").attr("disabled", true);
  });

  //   for fliping card

  var cards = document.querySelectorAll(".card");

  [...cards].forEach((card) => {
    card.addEventListener("click", function () {
      card.classList.toggle("is-flipped");
    });
  });

  //swiper inititializing
  const swiper = new Swiper(".swiper", {
    // Default parameters
    slidesPerView: 3,
    spaceBetween: 40,
    autoplay: { delay: 2000 },
    loop: true,
    // Responsive breakpoints
    breakpoints: {
      // when window width is >= 320px
      320: {
        slidesPerView: 2,
        spaceBetween: 20,
      },
      // when window width is >= 480px
      480: {
        slidesPerView: 3,
        spaceBetween: 30,
      },
      // when window width is >= 640px
      640: {
        slidesPerView: 4,
        spaceBetween: 40,
      },
    },
  });
});

//****************************************************my javascript functions to check the pattterns********************************************************* */
//if it is based on javascript functions should be defined out of the main body of the Jquery///////////////////////////////////

// /////////////THIS is THE JAVASCRIPT FUNCTION TO CHECK IF ONLY LETTERS ENTERED.
function onlyLetters(str) {
  return /^[A-Za-z]*$/.test(str);
}

// email validation

function isEmail(email) {
  var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
  return regex.test(email);
}
